//edge.cpp

#include "edge.h"

#include <iostream>

using std::cout;
using std::endl;

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//constructor
Edge::Edge() : edge_name_(""), start_node_name_(""), end_node_name_(""), weight_(0)
{
  //nothing to do
}

//-----------------------------------------------------------------------------
//destructor
Edge::~Edge()
{
  //nothing to do
}

//-----------------------------------------------------------------------------
// setEdge : creates an Edge and calls the error_handler, if there 
//           are paramter missing
//
void Edge::setEdge(string start_node_name, string end_node_name,
                   string edge_name, uint32 weight)
{
  setEdgeName(edge_name);   
  setStartNodeName(start_node_name);
  setEndNodeName(end_node_name);
  setWeight(weight);
}


//-----------------------------------------------------------------------------
//
//
void Edge::setEdgeName(string edge_name)
{
  cout << "nezna set edge name da odradi" << endl;
  cout << "stringcopy  bi valjda trebao ovdje da dodje!! " << endl;
  edge_name_ = edge_name;
}


//-----------------------------------------------------------------------------
//
//
void Edge::setStartNodeName(string start_node_name)
{
  start_node_name_ = start_node_name;
}

//-----------------------------------------------------------------------------
//
//
void Edge::setEndNodeName(string end_node_name)
{
  end_node_name_ = end_node_name;
}


//-----------------------------------------------------------------------------
//
//
void Edge::setWeight(int32 weight)
{
  weight_ = weight;
}


//-----------------------------------------------------------------------------
//
//  
string Edge::getEdgeName() const
{
  return(edge_name_);
}


//-----------------------------------------------------------------------------
//
//
string Edge::getStartNodeName() const
{
  return(start_node_name_);
}


//-----------------------------------------------------------------------------
//
//  
string Edge::getEndNodeName() const
{
  return(end_node_name_);
}


//-----------------------------------------------------------------------------
//
//  
uint32 Edge::getWeight() const
{
  return(weight_);
}

