// input_handler.h

#ifndef input_handler_h___
#define input_handler_h___


#include "error_handler.h"
#include "node.h"
#include "edge.h"
#include "graph.h"
//#include "user_types.h"

#include <string>
#include <list>

using std::string;
using std::list;

class InputLineHandler
{
private: 
// instance
  Graph graph_input_handler_;
  ErrorHandler error_input_handler_;  

// membervariables
  list<string> node_list_;
  bool stop_run_loop_;
  string input_;
  
public:
//constructor
  InputLineHandler();
  virtual ~InputLineHandler();

//methdes
  void run();
  void readEdgeParameters();
  void readNodeParameters();
  void readDeleteNodeParameters();
  void readShowParameters();
  void readAllStartNodeParameter();
};

#endif
