// node.h

#ifndef node_h___
#define node_h___

#include "user_types.h"
#include "error_handler.h"
#include <string>
#include <list>

using std::list;
using std::string;

//------------------------------------------------------------------------------
class Node
{
private:
// instance
  ErrorHandler error_node_function_;
  list<string> node_list_;  

public:
//constructor
  Node();
  virtual ~Node();

// methodes
  bool doesNodeExist(string node_name);
  void createNode(string input);
  void deleteNode(string input);
  void deleteAllNodesForQuit();
};

#endif
